Bug 129974 - Clear Recent Documents does not take effect until logoff
Clear Recent Documents does not take effect until logoff
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 00:57 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 10:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-08-16 00:57:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Clear Recent Documents does not take effect until logoff.
This is a bug.



Version-Release number of selected component (if applicable):
gnome-panel-2.7.90-1

How reproducible:
Always

Steps to Reproduce:
1. See Summary.
    

Additional info:
Comment 1 Mark McLoughlin 2004-08-18 03:39:14 EDT
Do you have gamin installed?
Comment 2 Ivan Gyurdiev 2004-08-18 04:00:54 EDT
Yes... 
Comment 3 Mark McLoughlin 2004-08-18 07:11:27 EDT
A known problem with gamin apparently
Comment 4 Mark McLoughlin 2004-08-18 07:15:10 EDT
To elaborate - I think its that monitoring a file (as opposed to a
directory) is broken with rawhide gamin but is probably fixed in the
latest gamin in CVS. Will be updated soon
Comment 5 Daniel Veillard 2004-08-19 09:54:42 EDT
A fix for the gamin problem is present in 0.0.6 which has been 
pushed to rawhide, the bug should be fixed after an upgrade and
the restart of the session,

  thanks for the report,

Daniel
Comment 6 James Laska 2004-08-31 08:53:33 EDT
Still hosed as of rawhide-20040831...

1) > md5sum .recently-used
d41d8cd98f00b204e9800998ecf8427e  .recently-used
2) select "Clear Recent Documents"
3) > md5sum .recently-used
d41d8cd98f00b204e9800998ecf8427e  .recently-used

Still have to logoff to have the list cleared
Comment 7 Daniel Veillard 2004-08-31 09:58:25 EDT
What version of gamin ? Did you restarted the session ?

Daniel
Comment 8 Daniel Veillard 2004-08-31 10:29:56 EDT
[16:13] <jlaska> there is no package named gamin installed on my system
[16:14] <jlaska> is this a library or provided by another pkg
[16:14] <jlaska> (locate gamin -- return empty)
[16:14] <DV> rpm -q gamin
[16:14] <jlaska> no such file
[16:14] <jlaska> no such rpm

  so using fam, which does not work with SELinux. Different bug,
fixed precisely by gamin.

Daniel

Note You need to log in before you can comment on or make changes to this bug.